import pickle

from src.utils.plotting import plot_extrapolation

# Load the Test object and print accuracies
test_names = ['model-dt_net_dataset-maze-dataset_num_mazes-10_iters-[30]_maze_sizes-[9, 19, 29, 39, 49, 59, 69, 79, 89, 99]_percolations-[0.0]_deadend_start-False']
for test_name in test_names:          
    with open(f'outputs/extrapolation/tests/{test_name}.pkl', 'rb') as f:
        test = pickle.load(f)
    test.print()
    plot_extrapolation(test, split_neighbors=True, iter=30)
